org.apache.calcite.avatica.remote

## Class AvaticaHttpClientFactoryImpl

- java.lang.Object
- - org.apache.calcite.avatica.remote.AvaticaHttpClientFactoryImpl

All Implemented Interfaces:
  AvaticaHttpClientFactory

    public class AvaticaHttpClientFactoryImpl
    extends Object
    implements AvaticaHttpClientFactory

Default implementation of `AvaticaHttpClientFactory` which chooses an implementation from a property.

### Field Summary

Fields
`static String` `HTTP_CLIENT_IMPL_DEFAULT`
`static AvaticaHttpClientFactoryImpl` `INSTANCE`
`static String` `SPNEGO_HTTP_CLIENT_IMPL_DEFAULT`

### Constructor Summary

Constructors
Constructor and Description
`AvaticaHttpClientFactoryImpl()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AvaticaHttpClient` `getClient(URL url, ConnectionConfig config, KerberosConnection kerberosUtil)` Construct the appropriate implementation of `AvaticaHttpClient`.
`static AvaticaHttpClientFactoryImpl` `getInstance()` Returns a singleton instance of `AvaticaHttpClientFactoryImpl`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HTTP_CLIENT_IMPL_DEFAULT

    public static final String HTTP_CLIENT_IMPL_DEFAULT

#### SPNEGO_HTTP_CLIENT_IMPL_DEFAULT

    public static final String SPNEGO_HTTP_CLIENT_IMPL_DEFAULT

#### INSTANCE

    public static final AvaticaHttpClientFactoryImpl INSTANCE

### Constructor Detail

#### AvaticaHttpClientFactoryImpl

    public AvaticaHttpClientFactoryImpl()

### Method Detail

#### getInstance

    public static AvaticaHttpClientFactoryImpl getInstance()

Returns a singleton instance of `AvaticaHttpClientFactoryImpl`.

Returns:
  A singleton instance.

#### getClient

    public AvaticaHttpClient getClient(URL url,
                                       ConnectionConfig config,
                                       KerberosConnection kerberosUtil)

Description copied from interface: `AvaticaHttpClientFactory`
Construct the appropriate implementation of `AvaticaHttpClient`.

Specified by:
  `getClient` in interface `AvaticaHttpClientFactory`
Parameters:
  `url` - URL that the client is for.
  `config` - Configuration to use when constructing the implementation.
Returns:
  An instance of `AvaticaHttpClient`.